Subject: Re: [bug#43860] [PATCH] gnu: python: Disable failing tests for the Hurd.
From: Jan Nieuwenhuizen <[email-masked]>
To: Marius Bakke <[email-masked]>
Cc: [email-masked]
Date: Mon, 26 Oct 2020 15:55:49 +0100
List-Id: <debbugs-submit.debbugs.gnu.org>

Marius Bakke writes:

Hello,

> Jan Nieuwenhuizen <[email-masked]> writes:
>
>> Hi!
>>
>> This patch disables 27 additional tests for the Hurd, and enabled me to
>> build (a copy of) python-minimal natively
>>
>> --8<---------------cut here---------------start------------->8---
>> /gnu/store/9xm1idqyvyyz6xcqaa20aw2p8ap9zxcj-python-hurd-minimal-3.8.2
>> --8<---------------cut here---------------end--------------->8---
>
> Yaay!  I thought it would be much worse...

:-)

Oops, I missed your reply (thanks for sending!) and found it just now as
I was about to push another version of this using a blanket

    #:tests? (not (hurd-target?))

However, your ack+remark inspire me to leave the patch as is.  Let's
just keep this in mind whenever this starts causing troubles.

>> One last thing: pushing this patch rebuilds world for the Hurd; probably
>> not the best timing to push today?  Ideas?
>
> It has been a few days, so I guess you can go ahead and push.  Hopefully
> the build farm catches up quickly for those who haven't gotten around to
> try the new Hurd VM yet (like me!).

Thanks!  Pushed to master as e6320ba20404d4a6d81e42f96c3792b7122871b0.

Janneke

-- 
Jan Nieuwenhuizen <[email-masked]> | GNU LilyPond http://lilypond.org
Freelance IT http://JoyofSource.com | Avatar® http://AvatarAcademy.com